package timer;

import java.io.IOException;
import java.net.ServerSocket;

/**
 * <p>Title: MultiClientTimer</p>
 *
 * <p>Description: A server sockets that allows several clients to connect,
 *                 assigning each of them a new thread.</p>
 *
 * <p>Copyright: Copyright (c) 2007</p>
 *
 * @author Adrin Riesco
 * @version 1.0
 */ 
public class MultiClientTimer {

    /**
     * Constructor.
     */
    public MultiClientTimer() {
    }

    /**
     * It creates a server sockets and keeps waiting for clients.
     * @param args String[] Main function arguments.
     */
    public static void main(String[] args){
        ServerSocket serverSocket = null;
        boolean listening = true;

        try {
            serverSocket = new ServerSocket(60039);
        }
        catch (IOException e) {
            System.err.println("Could not listen on port: 60039.");
            System.exit(-1);
        }

        try{
            while (listening)
                new MultiClientTimerThread(serverSocket.accept()).start();
        }
        catch (IOException e) {
            System.err.println("Could not create a thread.");
            System.exit(-1);
        }

        try{
            serverSocket.close();
        }
        catch (IOException e) {
            System.err.println("Could not close the socket.");
            System.exit(-1);
        }

    }

}
