package timer;

import java.io.*;
import java.net.*;

/**
 * <p>Title: Timer</p>
 *
 * <p>Description: A class that must communicate with Maude and advertise it
 * when a 'tick' occurs.</p>
 *
 * <p>Copyright: Copyright (c) 2007</p>
 *
 * @author Adrin Riesco
 * @version 1.0
 */
public class TimerClient {
    public TimerClient() {
    }

    public static void main(String[] args) throws IOException {

        Socket echoSocket = null;
        PrintWriter out = null;
        BufferedReader in = null;

        try {
            echoSocket = new Socket("gaara.fdi.ucm.es", 60039);
            out = new PrintWriter(echoSocket.getOutputStream(), true);
            in = new BufferedReader(new InputStreamReader(
                                        echoSocket.getInputStream()));
        } catch (UnknownHostException e) {
            System.err.println("Don't know about host: zangetsu.");
            System.exit(1);
        } catch (IOException e) {
            System.err.println("Couldn't get I/O for "
                               + "the connection to: zangetsu.");
            System.exit(1);
        }

        BufferedReader stdIn = new BufferedReader(
                                   new InputStreamReader(System.in));
        String userInput;

        while ((userInput = stdIn.readLine()) != null) {
            out.println(userInput);
            System.out.println("echo: " + in.readLine());
        }

        out.close();
        in.close();
        stdIn.close();
        echoSocket.close();
    }


}
